name: Deploy main		

on:		
  push:		
    branches: ["main"]		
  workflow_dispatch:		

concurrency:		
  group: deploy-${{ github.ref }}		
  cancel-in-progress: true		

jobs:		
  deploy:		
    runs-on: ["native"]		
    steps:		
      - uses: actions/checkout@v4		
      - name: Deploy main to server		
        run: /usr/local/bin/deploy_krgm.sh